Class {
	#name : #BaselineOfEchartsPharo,
	#superclass : #BaselineOf,
	#category : #BaselineOfEchartsPharo
}

{ #category : #baseline }
BaselineOfEchartsPharo >> baseline: spec [
	
	<baseline>
	spec for: #'common' do: [
		"Dependencies"
		self miniDocs: spec.	
		spec package: 'EchartsPharo' with: [ spec requires: #( 'MiniDocs' "EchartsPharo" ) ]
	]
]

{ #category : #accessing }
BaselineOfEchartsPharo >> miniDocs: spec [ 
	
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.tupale.co/Offray/MiniDocs'.
	repo load.
	spec baseline: 'MiniDocs' with: [ spec repository: 'gitlocal://', repo local fullName ]
]

{ #category : #accessing }
BaselineOfEchartsPharo >> projectClass [ 
	^ MetacelloCypressBaselineProject 
]
