Class {
	#name : #EcSunburstSegmentTest,
	#superclass : #TestCase,
	#category : #'EchartsPharo-EchartsPharo'
}

{ #category : #accessing }
EcSunburstSegmentTest >> testSunburstSegmentRootCreation [

	| sunburstSegment |
	sunburstSegment := (EcSunburstSegment rootName: 'rootTest').
	
	self assert: {sunburstSegment name. sunburstSegment isRoot} equals: {'rootTest'. true}
]

{ #category : #accessing }
EcSunburstSegmentTest >> testSunbusrtSegmentInstanceCreation [

	| sunburstSegment children|
	children := EcSunburstSegment new.
	sunburstSegment := EcSunburstSegment
		name: '@profile' 
		value: 2 
		color: Color red 
		children: children.
		
	self 
		assert: { sunburstSegment name. 
			sunburstSegment value. 
			sunburstSegment color. 
			sunburstSegment children }
		equals: { '@profile'. 2. Color red. children}
]
